<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\StockDataMaster;
use App\Models\User;

class StockDataMasterPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any StockDataMaster');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, StockDataMaster $stockdatamaster): bool
    {
        return $user->checkPermissionTo('view StockDataMaster');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create StockDataMaster');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, StockDataMaster $stockdatamaster): bool
    {
        return $user->checkPermissionTo('update StockDataMaster');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, StockDataMaster $stockdatamaster): bool
    {
        return $user->checkPermissionTo('delete StockDataMaster');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any StockDataMaster');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, StockDataMaster $stockdatamaster): bool
    {
        return $user->checkPermissionTo('restore StockDataMaster');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any StockDataMaster');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, StockDataMaster $stockdatamaster): bool
    {
        return $user->checkPermissionTo('replicate StockDataMaster');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder StockDataMaster');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, StockDataMaster $stockdatamaster): bool
    {
        return $user->checkPermissionTo('force-delete StockDataMaster');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any StockDataMaster');
    }
}
